<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_05) on Sat Jun 07 12:11:34 EEST 2014 -->
<title>JConsolePane</title>
<meta name="date" content="2014-06-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JConsolePane";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":9,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../gr/zeus/ui/JConsole.html" title="class in gr.zeus.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../gr/zeus/ui/JIConsole.html" title="class in gr.zeus.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?gr/zeus/ui/JConsolePane.html" target="_top">Frames</a></li>
<li><a href="JConsolePane.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JPanel">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.javax.swing.JComponent">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">gr.zeus.ui</div>
<h2 title="Class JConsolePane" class="title">Class JConsolePane</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>javax.swing.JComponent</li>
<li>
<ul class="inheritance">
<li>javax.swing.JPanel</li>
<li>
<ul class="inheritance">
<li>gr.zeus.ui.JConsolePane</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible</dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">JConsolePane</span>
extends javax.swing.JPanel</pre>
<div class="block">A java console to replace the command line window. Redirects the stdout
 and stderr. Customizable. Can save its messages to text file. In addition,
 it can auto dump to a log file and clear the textarea. Can be used with
 JFrame, JInternalFrame or as a JPanel. If used in conjunction with any exe
 creator for java, e.g:
 <a href="http://launch4j.sourceforge.net/">launch4j</a> or
 <a href="http://jsmooth.sourceforge.net/">JSmooth</a>,
 it eliminates the dos application windows and your application looks more
 professional.
 <p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Gregory Kotsaftis</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#gr.zeus.ui.JConsolePane">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.javax.swing.JPanel">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JPanel</h3>
<code>javax.swing.JPanel.AccessibleJPanel</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JComponent</h3>
<code>javax.swing.JComponent.AccessibleJComponent</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h3>
<code>java.awt.Container.AccessibleAWTContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JComponent</h3>
<code>listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#clearBufferMessages--">clearBufferMessages</a></span>()</code>
<div class="block">Clears all the messages stored in the internal buffer from the beginning
 of the <code>JConsolePane</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#clearScreenMessages--">clearScreenMessages</a></span>()</code>
<div class="block">Clears only the messages that are displayed in the textarea.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#destroyConsole--">destroyConsole</a></span>()</code>
<div class="block">Destroys the console.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#dumpConsole-java.lang.String-boolean-">dumpConsole</a></span>(java.lang.String&nbsp;filename,
           boolean&nbsp;append)</code>
<div class="block">Dumps all the console messages (up to now) to a file (not only the
 messages displayed in the textarea).</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getAppendFirstTime--">getAppendFirstTime</a></span>()</code>
<div class="block">Gets append policy.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getAutoSave--">getAutoSave</a></span>()</code>
<div class="block">Gets auto save status.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getBackgroundColor--">getBackgroundColor</a></span>()</code>
<div class="block">Gets the background color of the textarea.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getClearButtonText--">getClearButtonText</a></span>()</code>
<div class="block">Gets the text of the clear button.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getCloseButtonText--">getCloseButtonText</a></span>()</code>
<div class="block">Gets the text of the close button.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getConfimMessage--">getConfimMessage</a></span>()</code>
<div class="block">Gets the text for the popup window that confirms file overwrite.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getConfimTitle--">getConfimTitle</a></span>()</code>
<div class="block">Gets the title for the popup window that confirms file overwrite.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static <a href="../../../gr/zeus/ui/JConsolePane.html" title="class in gr.zeus.ui">JConsolePane</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getConsolePane--">getConsolePane</a></span>()</code>
<div class="block">Singleton constructor.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getFilechooserApproveButtonText--">getFilechooserApproveButtonText</a></span>()</code>
<div class="block">Gets the filechooser approve button text.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getFilechooserTitle--">getFilechooserTitle</a></span>()</code>
<div class="block">Gets the filechooser title.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getForegroundColor--">getForegroundColor</a></span>()</code>
<div class="block">Gets the foreground color of the textarea.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getMaxChars--">getMaxChars</a></span>()</code>
<div class="block">If -1 no limit, else the messages will be flushed to 'traceFilename' and
 cleared when this limit is reached.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getMessagesFilename--">getMessagesFilename</a></span>()</code>
<div class="block">Gets the default filename for the filechooser.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getSaveButtonText--">getSaveButtonText</a></span>()</code>
<div class="block">Gets the text of the save button.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getSelectedTextColor--">getSelectedTextColor</a></span>()</code>
<div class="block">Gets the selected text color of the textarea.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getSelectionColor--">getSelectionColor</a></span>()</code>
<div class="block">Gets the selection color of the textarea.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>java.awt.Font</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getTextFont--">getTextFont</a></span>()</code>
<div class="block">Gets the font of the textarea.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#getTraceFilename--">getTraceFilename</a></span>()</code>
<div class="block">Gets the file used by <code>dumpConsole()</code> and
 all auto save methods.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#hideConsole--">hideConsole</a></span>()</code>
<div class="block">Hides the console.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#hideControlButtons--">hideControlButtons</a></span>()</code>
<div class="block">Hides the control buttons.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setAppendFirstTime-boolean-">setAppendFirstTime</a></span>(boolean&nbsp;b)</code>
<div class="block">Sets append policy.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setAutoSave-boolean-">setAutoSave</a></span>(boolean&nbsp;b)</code>
<div class="block">Sets auto save status.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setBackgroundColor-java.awt.Color-">setBackgroundColor</a></span>(java.awt.Color&nbsp;c)</code>
<div class="block">Sets the background color of the textarea.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setClearButtonText-java.lang.String-">setClearButtonText</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Sets the text of the clear button.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setCloseButtonText-java.lang.String-">setCloseButtonText</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Sets the text of the close button.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setConfimMessage-java.lang.String-">setConfimMessage</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Sets the text for the popup window that confirms file overwrite.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setConfimTitle-java.lang.String-">setConfimTitle</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Sets the title for the popup window that confirms file overwrite.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setFilechooserApproveButtonText-java.lang.String-">setFilechooserApproveButtonText</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Sets the filechooser approve button text.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setFilechooserTitle-java.lang.String-">setFilechooserTitle</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Sets the filechooser title.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setForegroundColor-java.awt.Color-">setForegroundColor</a></span>(java.awt.Color&nbsp;c)</code>
<div class="block">Sets the foreground color of the textarea.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setMaxChars-int-">setMaxChars</a></span>(int&nbsp;i)</code>
<div class="block">If -1 no limit, else the messages will be flushed to 'traceFilename' and
 cleared when this limit is reached.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setMessagesFilename-java.lang.String-">setMessagesFilename</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Sets the default filename for the filechooser.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setSaveButtonText-java.lang.String-">setSaveButtonText</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Sets the text of the save button.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setSelectedTextColor-java.awt.Color-">setSelectedTextColor</a></span>(java.awt.Color&nbsp;c)</code>
<div class="block">Sets the selected text color of the textarea.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setSelectionColor-java.awt.Color-">setSelectionColor</a></span>(java.awt.Color&nbsp;c)</code>
<div class="block">Sets the selection color of the textarea.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setTextFont-java.awt.Font-">setTextFont</a></span>(java.awt.Font&nbsp;f)</code>
<div class="block">Sets the font of the textarea.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#setTraceFilename-java.lang.String-">setTraceFilename</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Sets the file used by <code>dumpConsole()</code> and
 all auto save methods.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#showConsole--">showConsole</a></span>()</code>
<div class="block">Shows the console.</div>
</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#showControlButtons--">showControlButtons</a></span>()</code>
<div class="block">Shows the control buttons.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#startConsole--">startConsole</a></span>()</code>
<div class="block">Attachs the new streams to stdout and stderr.</div>
</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#stopConsole--">stopConsole</a></span>()</code>
<div class="block">Attachs the original streams to stdout and stderr.</div>
</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../gr/zeus/ui/JConsolePane.html#updateLNF--">updateLNF</a></span>()</code>
<div class="block">Updates the look and feel of the <code>JConsolePane</code> and it's
 components.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.JPanel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JPanel</h3>
<code>getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JComponent</h3>
<code>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConsolePane--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConsolePane</h4>
<pre>public static&nbsp;<a href="../../../gr/zeus/ui/JConsolePane.html" title="class in gr.zeus.ui">JConsolePane</a>&nbsp;getConsolePane()</pre>
<div class="block">Singleton constructor.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>JConsolePane</code>.
 <p></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.ExceptionInInitializerError</code></dd>
</dl>
</li>
</ul>
<a name="startConsole--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startConsole</h4>
<pre>public&nbsp;void&nbsp;startConsole()</pre>
<div class="block">Attachs the new streams to stdout and stderr.</div>
</li>
</ul>
<a name="stopConsole--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stopConsole</h4>
<pre>public&nbsp;void&nbsp;stopConsole()</pre>
<div class="block">Attachs the original streams to stdout and stderr.</div>
</li>
</ul>
<a name="showConsole--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showConsole</h4>
<pre>public&nbsp;void&nbsp;showConsole()</pre>
<div class="block">Shows the console.</div>
</li>
</ul>
<a name="hideConsole--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hideConsole</h4>
<pre>public&nbsp;void&nbsp;hideConsole()</pre>
<div class="block">Hides the console.</div>
</li>
</ul>
<a name="showControlButtons--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showControlButtons</h4>
<pre>public&nbsp;void&nbsp;showControlButtons()</pre>
<div class="block">Shows the control buttons.</div>
</li>
</ul>
<a name="hideControlButtons--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hideControlButtons</h4>
<pre>public&nbsp;void&nbsp;hideControlButtons()</pre>
<div class="block">Hides the control buttons.</div>
</li>
</ul>
<a name="clearBufferMessages--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearBufferMessages</h4>
<pre>public&nbsp;void&nbsp;clearBufferMessages()</pre>
<div class="block">Clears all the messages stored in the internal buffer from the beginning
 of the <code>JConsolePane</code>. Use this if you have printed too many
 messages and you want to free up the memory used. Perhaps you should
 invoke <code>dumpConsole()</code> to store the messages first, unless
 of course you already have enabled autosave.</div>
</li>
</ul>
<a name="clearScreenMessages--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearScreenMessages</h4>
<pre>public&nbsp;void&nbsp;clearScreenMessages()</pre>
<div class="block">Clears only the messages that are displayed in the textarea.</div>
</li>
</ul>
<a name="dumpConsole-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dumpConsole</h4>
<pre>public&nbsp;void&nbsp;dumpConsole(java.lang.String&nbsp;filename,
                        boolean&nbsp;append)
                 throws java.io.IOException</pre>
<div class="block">Dumps all the console messages (up to now) to a file (not only the
 messages displayed in the textarea).
 This method does not clear the messages buffer, use
 <code>clearBufferMessages()</code> for this.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filename</code> - The filename to store all console's messages.</dd>
<dd><code>append</code> - If <code>true</code> text is appended in the file,
                  else the file gets overwritten.
 <p></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a name="destroyConsole--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>destroyConsole</h4>
<pre>public&nbsp;void&nbsp;destroyConsole()</pre>
<div class="block">Destroys the console.
 Actually what it does is this:
 Stops, hides and clears the console.
 If you are to invoke <code>getConsole()</code> after this
 method you will get a brand new console with no messages at all. This
 method is not needed for simple applications that are about to invoke
 System.exit() or normaly close.</div>
</li>
</ul>
<a name="updateLNF--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateLNF</h4>
<pre>public&nbsp;void&nbsp;updateLNF()</pre>
<div class="block">Updates the look and feel of the <code>JConsolePane</code> and it's
 components. <b>MUST</b> be called <b>AFTER</b> invoking:
 <code>UIManager.setLookAndFeel()</code> in your application.</div>
</li>
</ul>
<a name="getConfimTitle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfimTitle</h4>
<pre>public&nbsp;java.lang.String&nbsp;getConfimTitle()</pre>
<div class="block">Gets the title for the popup window that confirms file overwrite.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The title.</dd>
</dl>
</li>
</ul>
<a name="setConfimTitle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfimTitle</h4>
<pre>public&nbsp;void&nbsp;setConfimTitle(java.lang.String&nbsp;s)</pre>
<div class="block">Sets the title for the popup window that confirms file overwrite.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - The title.</dd>
</dl>
</li>
</ul>
<a name="getConfimMessage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfimMessage</h4>
<pre>public&nbsp;java.lang.String&nbsp;getConfimMessage()</pre>
<div class="block">Gets the text for the popup window that confirms file overwrite.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The message.</dd>
</dl>
</li>
</ul>
<a name="setConfimMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfimMessage</h4>
<pre>public&nbsp;void&nbsp;setConfimMessage(java.lang.String&nbsp;s)</pre>
<div class="block">Sets the text for the popup window that confirms file overwrite.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - The message.</dd>
</dl>
</li>
</ul>
<a name="getMessagesFilename--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMessagesFilename</h4>
<pre>public&nbsp;java.lang.String&nbsp;getMessagesFilename()</pre>
<div class="block">Gets the default filename for the filechooser.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The filename.</dd>
</dl>
</li>
</ul>
<a name="setMessagesFilename-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMessagesFilename</h4>
<pre>public&nbsp;void&nbsp;setMessagesFilename(java.lang.String&nbsp;s)</pre>
<div class="block">Sets the default filename for the filechooser.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - The filename.</dd>
</dl>
</li>
</ul>
<a name="getTraceFilename--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTraceFilename</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTraceFilename()</pre>
<div class="block">Gets the file used by <code>dumpConsole()</code> and
 all auto save methods.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The filename.</dd>
</dl>
</li>
</ul>
<a name="setTraceFilename-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTraceFilename</h4>
<pre>public&nbsp;void&nbsp;setTraceFilename(java.lang.String&nbsp;s)</pre>
<div class="block">Sets the file used by <code>dumpConsole()</code> and
 all auto save methods.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - The filename.</dd>
</dl>
</li>
</ul>
<a name="getAppendFirstTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAppendFirstTime</h4>
<pre>public&nbsp;boolean&nbsp;getAppendFirstTime()</pre>
<div class="block">Gets append policy.
 If the 'traceFilename' exists the first time we try to save the messages,
 should we append or overwrite?
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true/false</dd>
</dl>
</li>
</ul>
<a name="setAppendFirstTime-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAppendFirstTime</h4>
<pre>public&nbsp;void&nbsp;setAppendFirstTime(boolean&nbsp;b)</pre>
<div class="block">Sets append policy.
 If the 'traceFilename' exists the first time we try to save the messages,
 should we append or overwrite?
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>b</code> - true/false</dd>
</dl>
</li>
</ul>
<a name="getAutoSave--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAutoSave</h4>
<pre>public&nbsp;boolean&nbsp;getAutoSave()</pre>
<div class="block">Gets auto save status.
 Auto save the console messages to file 'traceFilename' when 'maxChars'
 are reached and clear the messages (append new messages when required)?
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true/false</dd>
</dl>
</li>
</ul>
<a name="setAutoSave-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoSave</h4>
<pre>public&nbsp;void&nbsp;setAutoSave(boolean&nbsp;b)</pre>
<div class="block">Sets auto save status.
 Auto save the console messages to file 'traceFilename' when 'maxChars'
 are reached and clear the messages (append new messages when required)?
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>b</code> - true/false</dd>
</dl>
</li>
</ul>
<a name="getMaxChars--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxChars</h4>
<pre>public&nbsp;int&nbsp;getMaxChars()</pre>
<div class="block">If -1 no limit, else the messages will be flushed to 'traceFilename' and
 cleared when this limit is reached.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The limit.</dd>
</dl>
</li>
</ul>
<a name="setMaxChars-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxChars</h4>
<pre>public&nbsp;void&nbsp;setMaxChars(int&nbsp;i)</pre>
<div class="block">If -1 no limit, else the messages will be flushed to 'traceFilename' and
 cleared when this limit is reached.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - The limit.</dd>
</dl>
</li>
</ul>
<a name="getForegroundColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getForegroundColor</h4>
<pre>public&nbsp;java.awt.Color&nbsp;getForegroundColor()</pre>
<div class="block">Gets the foreground color of the textarea.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The color.</dd>
</dl>
</li>
</ul>
<a name="setForegroundColor-java.awt.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setForegroundColor</h4>
<pre>public&nbsp;void&nbsp;setForegroundColor(java.awt.Color&nbsp;c)</pre>
<div class="block">Sets the foreground color of the textarea.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - The color.</dd>
</dl>
</li>
</ul>
<a name="getBackgroundColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBackgroundColor</h4>
<pre>public&nbsp;java.awt.Color&nbsp;getBackgroundColor()</pre>
<div class="block">Gets the background color of the textarea.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The color.</dd>
</dl>
</li>
</ul>
<a name="setBackgroundColor-java.awt.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBackgroundColor</h4>
<pre>public&nbsp;void&nbsp;setBackgroundColor(java.awt.Color&nbsp;c)</pre>
<div class="block">Sets the background color of the textarea.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - The color.</dd>
</dl>
</li>
</ul>
<a name="getSelectedTextColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectedTextColor</h4>
<pre>public&nbsp;java.awt.Color&nbsp;getSelectedTextColor()</pre>
<div class="block">Gets the selected text color of the textarea.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The color.</dd>
</dl>
</li>
</ul>
<a name="setSelectedTextColor-java.awt.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSelectedTextColor</h4>
<pre>public&nbsp;void&nbsp;setSelectedTextColor(java.awt.Color&nbsp;c)</pre>
<div class="block">Sets the selected text color of the textarea.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - The color.</dd>
</dl>
</li>
</ul>
<a name="getSelectionColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectionColor</h4>
<pre>public&nbsp;java.awt.Color&nbsp;getSelectionColor()</pre>
<div class="block">Gets the selection color of the textarea.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The color.</dd>
</dl>
</li>
</ul>
<a name="setSelectionColor-java.awt.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSelectionColor</h4>
<pre>public&nbsp;void&nbsp;setSelectionColor(java.awt.Color&nbsp;c)</pre>
<div class="block">Sets the selection color of the textarea.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - The color.</dd>
</dl>
</li>
</ul>
<a name="getClearButtonText--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClearButtonText</h4>
<pre>public&nbsp;java.lang.String&nbsp;getClearButtonText()</pre>
<div class="block">Gets the text of the clear button.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The text.</dd>
</dl>
</li>
</ul>
<a name="setClearButtonText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClearButtonText</h4>
<pre>public&nbsp;void&nbsp;setClearButtonText(java.lang.String&nbsp;s)</pre>
<div class="block">Sets the text of the clear button.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - The text.</dd>
</dl>
</li>
</ul>
<a name="getSaveButtonText--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSaveButtonText</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSaveButtonText()</pre>
<div class="block">Gets the text of the save button.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The text.</dd>
</dl>
</li>
</ul>
<a name="setSaveButtonText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSaveButtonText</h4>
<pre>public&nbsp;void&nbsp;setSaveButtonText(java.lang.String&nbsp;s)</pre>
<div class="block">Sets the text of the save button.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - The text.</dd>
</dl>
</li>
</ul>
<a name="getCloseButtonText--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCloseButtonText</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCloseButtonText()</pre>
<div class="block">Gets the text of the close button.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The text.</dd>
</dl>
</li>
</ul>
<a name="setCloseButtonText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCloseButtonText</h4>
<pre>public&nbsp;void&nbsp;setCloseButtonText(java.lang.String&nbsp;s)</pre>
<div class="block">Sets the text of the close button.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - The text.</dd>
</dl>
</li>
</ul>
<a name="getFilechooserTitle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilechooserTitle</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFilechooserTitle()</pre>
<div class="block">Gets the filechooser title.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The title.</dd>
</dl>
</li>
</ul>
<a name="setFilechooserTitle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFilechooserTitle</h4>
<pre>public&nbsp;void&nbsp;setFilechooserTitle(java.lang.String&nbsp;s)</pre>
<div class="block">Sets the filechooser title.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - The title.</dd>
</dl>
</li>
</ul>
<a name="getFilechooserApproveButtonText--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilechooserApproveButtonText</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFilechooserApproveButtonText()</pre>
<div class="block">Gets the filechooser approve button text.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The text.</dd>
</dl>
</li>
</ul>
<a name="setFilechooserApproveButtonText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFilechooserApproveButtonText</h4>
<pre>public&nbsp;void&nbsp;setFilechooserApproveButtonText(java.lang.String&nbsp;s)</pre>
<div class="block">Sets the filechooser approve button text.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - The text.</dd>
</dl>
</li>
</ul>
<a name="getTextFont--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTextFont</h4>
<pre>public&nbsp;java.awt.Font&nbsp;getTextFont()</pre>
<div class="block">Gets the font of the textarea.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The font.</dd>
</dl>
</li>
</ul>
<a name="setTextFont-java.awt.Font-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setTextFont</h4>
<pre>public&nbsp;void&nbsp;setTextFont(java.awt.Font&nbsp;f)</pre>
<div class="block">Sets the font of the textarea.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - The font.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../gr/zeus/ui/JConsole.html" title="class in gr.zeus.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../gr/zeus/ui/JIConsole.html" title="class in gr.zeus.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?gr/zeus/ui/JConsolePane.html" target="_top">Frames</a></li>
<li><a href="JConsolePane.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JPanel">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.javax.swing.JComponent">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
